export default CaseStatusConditionsAPI;
declare namespace CaseStatusConditionsAPI {
    export { getStatusConditionsList as getList };
    export { getStatusesLookup as getLookup };
    export { getStatusCondition as get };
    export { updateStatusCondition as update };
    export { patchStatusCondition as patch };
    export { deleteStatusCondition as delete };
    export { addStatusCondition as add };
}
declare function getStatusConditionsList({ parentId, ...rest }: {
    [x: string]: any;
    parentId: any;
}): Promise<{
    items: any;
    next: any;
}>;
declare function getStatusesLookup(params: any): Promise<{
    items: any;
    next: any;
}>;
declare function getStatusCondition({ parentId, itemId: id }: {
    parentId: any;
    itemId: any;
}): Promise<any>;
declare function updateStatusCondition({ itemInstance, itemId: id, parentId, }: {
    itemInstance: any;
    itemId: any;
    parentId: any;
}): Promise<any>;
declare function patchStatusCondition({ id, parentId, changes }: {
    id: any;
    parentId: any;
    changes: any;
}): Promise<any>;
declare function deleteStatusCondition({ id, parentId }: {
    id: any;
    parentId: any;
}): Promise<any>;
declare function addStatusCondition({ itemInstance, parentId }: {
    itemInstance: any;
    parentId: any;
}): Promise<any>;
